# Class CIM_TimeService
extends CIM_Service

The TimeService manages time (retrieves or sets time) for one or more elements in a system. All elements to which the Service applies are associated using ServiceAffectsElement.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_TimeService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The TimeService manages time (retrieves or sets time) for one or more elements in a system. All elements to which the Service applies are associated using ServiceAffectsElement.
UMLPackagePath | string | CIM::Core::Service
Version | string | 2.22.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Local Class Methods

#### ManageTime (uint32)

#### Method Qualifiers (ManageTime)

Name | Data Type | Value
--- | --- | ---
Description | string | This method gets or sets the time for the specified element.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6..32767, 32768..65535
Values | string | Success, Not Supported, Unknown, Timeout, Failed, Invalid Parameter, DMTF Reserved, Vendor Specific

#### Method Parameters (ManageTime)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
GetRequest | boolean
Description | string | Indicates whether the request is to get (TRUE) or set (FALSE) the time for the specified element.
IN | boolean | true
TimeData | datetime
Description | string | The current date and time. On input, this value is the time that is set on the specified element, if the GetRequest input parameter is TRUE. Otherwise, the input time is ignored. On output, this value is the time as it is known by the element.
IN | boolean | true
OUT | boolean | true
ManagedElement | REF CIM_ManagedElement
Description | string | A reference to the ManagedElement whose time is retrieved or set. This reference is necessary because the TimeService might apply to multiple elements simultaneously. The referenced element must be associated with the Service using the ServiceAffectsElement relationship.
IN | boolean | true
Required | boolean | true

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service